summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Dhaby Xiloj <slack.dhabyx@gmail.com>2010-05-11 22:53:40 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 22:53:40 +0200
commit0694d5c922d181daab2aa3346f8f0738db34f5c8 (patch)
treeec3b64ba742449b0b77722510370743ce1fdfbfc /development
parent8627f88934be35ae8f2442cb1a0a08ff12ab7df5 (diff)
downloadslackbuilds-0694d5c922d181daab2aa3346f8f0738db34f5c8.tar.gz
slackbuilds-0694d5c922d181daab2aa3346f8f0738db34f5c8.tar.xz
development/sqliteman: Added to 12.1 repository
Diffstat (limited to 'development')
-rw-r--r--development/sqliteman/README6
-rw-r--r--development/sqliteman/doinst.sh5
-rw-r--r--development/sqliteman/slack-desc19
-rw-r--r--development/sqliteman/sqliteman.SlackBuild83
-rw-r--r--development/sqliteman/sqliteman.info8
5 files changed, 121 insertions, 0 deletions
diff --git a/development/sqliteman/README b/development/sqliteman/README
new file mode 100644
index 0000000000..706641609e
--- /dev/null
+++ b/development/sqliteman/README
@@ -0,0 +1,6 @@
+Sqliteman is a simple but powerful Sqlite3 GUI database manager.
+
+sqliteman is useful for managing tables, views, or triggers
+and administering the database space and index statistics.
+
+Requires QT4, which is also available at SlackBuilds.org.
diff --git a/development/sqliteman/doinst.sh b/development/sqliteman/doinst.sh
new file mode 100644
index 0000000000..301399ba37
--- /dev/null
+++ b/development/sqliteman/doinst.sh
@@ -0,0 +1,5 @@
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/development/sqliteman/slack-desc b/development/sqliteman/slack-desc
new file mode 100644
index 0000000000..baa5f5c6b9
--- /dev/null
+++ b/development/sqliteman/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler---------------------------------------------------|
+sqliteman: sqliteman (SQLite Data Browser)
+sqliteman:
+sqliteman: Sqliteman is a simple but powerful Sqlite3 GUI database manager.
+sqliteman: Manage tables, views, or triggers, administrate the database
+sqliteman: space and index statistics.
+sqliteman:
+sqliteman: Homepage: http://sqliteman.sourceforge.net
+sqliteman:
+sqliteman:
+sqliteman:
+sqliteman:
diff --git a/development/sqliteman/sqliteman.SlackBuild b/development/sqliteman/sqliteman.SlackBuild
new file mode 100644
index 0000000000..236993988d
--- /dev/null
+++ b/development/sqliteman/sqliteman.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+
+# Slackware build script for sqliteman
+
+# Copyright (c) 2008, Dhaby Xiloj <slack.dhabyx@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are met:
+# 1.- Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY
+# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
+# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=sqliteman
+VERSION=1.0.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr .
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# /usr/share/icons is for themed/scaled icons
+mv $PKG/usr/share/icons $PKG/usr/share/pixmaps
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS README COPYING VERSION $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/sqliteman/doc/en $PKG/usr/doc/$PRGNAM-$VERSION/html
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+rm -rf $PKG/usr/share/sqliteman/doc
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/sqliteman/sqliteman.info b/development/sqliteman/sqliteman.info
new file mode 100644
index 0000000000..cf5fe53b1b
--- /dev/null
+++ b/development/sqliteman/sqliteman.info
@@ -0,0 +1,8 @@
+PRGNAM="sqliteman"
+VERSION="1.0.1"
+HOMEPAGE="http://sqliteman.sourceforge.net"
+DOWNLOAD="http://downloads.sourceforge.net/sqliteman/sqliteman-1.0.1.tar.gz"
+MD5SUM="6d4c6cffe4f7d68c0a8a8e2ce0e853df"
+MAINTAINER="Dhaby Xiloj"
+EMAIL="slack.dhabyx@gmail.com"
+APPROVED="rworkman"